Mein Techstack
===
<!--rehype:style=font-size: 38px; border-bottom: 0; display: flex; min-height: 260px; align-items: center; justify-content: center;-->

[![Last Commit (main branch)](https://shields.hadan-it.com/gitea/last-commit/public/techstack.hadan.de/main?path=README.md&gitea_url=https%3A%2F%2Fgit.hadan-it.com&style=flat&logo=forgejo&label=last%20main%20commit)](https://git.hadan-it.com/stiebke/techstack.hadan.de/commits/branch/main)
[![Last Commit (develop branch)](https://shields.hadan-it.com/gitea/last-commit/public/techstack.hadan.de/develop?path=README.md&gitea_url=https%3A%2F%2Fgit.hadan-it.com&style=flat&logo=forgejo&label=last%20develop%20commit)](https://git.hadan-it.com/stiebke/techstack.hadan.de/commits/branch/develop)
[![Build Status Main](https://git.hadan-it.com/public/techstack.hadan.de/actions/workflows/main.yml/badge.svg?branch=main)](https://techstack.hadan.de)
[![Build Status Preview](https://git.hadan-it.com/public/techstack.hadan.de/actions/workflows/develop.yml/badge.svg?branch=develop)](https://techstack.preview.hadan.de)
<!--rehype:style=text-align: center;-->
Mein Techstack – Eine Übersicht der Tools, Betriebssysteme, Sprachen und Anwendungen, die ich verwende. Dies ist quasi meine persönliche Awesome-List.

> [!NOTE/Anmerkung]
> Diese Übersicht hat keinen Anspruch auf Vollständigkeit. Jedes Produkt, mit welchem ich in Berührung komme, ist für mich ein Highlight und ich arbeite mich da immer wieder gerne ein.

![im Businesseinsatz][Business Icon] bedeutet, dass ich diese Anwendung geschäftlich einsetze\
![im Heimeinsatz][Home Icon] bedeutet, dass ich diese Anwendung daheim einsetze\
![favorisiert][Favorite Icon] bedeutet eine Anwendung, welche ich favorisiere

<!--idoc:ignore:start-->

## Inhalte

- [Mein Techstack](#mein-techstack)
  - [Inhalte](#inhalte)
  - [Betriebsysteme](#betriebsysteme)
    - [Linux](#linux)
    - [Microsoft Windows](#microsoft-windows)
    - [Sonstige Betriebsysteme](#sonstige-betriebsysteme)
  - [Entwicklung](#entwicklung)
    - [Programmiersprachen](#programmiersprachen)
    - [Shellprogrammierung](#shellprogrammierung)
    - [Website-Entwicklung](#website-entwicklung)
      - [Static site generators (SSGs)](#static-site-generators-ssgs)
  - [Tools zum Lesen und Schreiben](#tools-zum-lesen-und-schreiben)
    - [Texteditoren](#texteditoren)
    - [Office-Anwendungen](#office-anwendungen)
    - [Markdown Tools](#markdown-tools)
    - [Notizen](#notizen)
    - [Tagebuch](#tagebuch)
    - [E-Books](#e-books)
    - [RSS](#rss)
    - [Sonstiges](#sonstiges)
  - [Virtualisierung](#virtualisierung)
    - [Containervirtualisierung](#containervirtualisierung)
    - [Desktopvirtualisierung](#desktopvirtualisierung)
    - [Orchestration und Cloud Management Lösungen](#orchestration-und-cloud-management-lösungen)
    - [Servervirtualisierung](#servervirtualisierung)
    - [Virtualisierungslösungen für Workstations](#virtualisierungslösungen-für-workstations)
  - [Lizenz](#lizenz)

<!--start-->
<!--idoc:ignore:end-->

## Betriebsysteme 

Ein **Betriebssystem**, auch **OS** (von englisch *operating system*) genannt, ist eine Zusammenstellung von Computerprogrammen, die die Systemressourcen eines Computers wie Arbeitsspeicher, Festplatten, Ein- und Ausgabegeräte verwaltet und diese Anwendungsprogrammen zur Verfügung stellt. 

### Linux

* [AlmaLinux](https://almalinux.org/) - **AlmaLinux** ist eine freie Linux-Distribution, die auf Red Hat Enterprise Linux (RHEL) des Unternehmens Red Hat aufbaut und dazu binärkompatibel ist. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [CentOS Stream](https://centos.org) - CentOS Stream ist eine auf RHEL basierende Distribution. Es handelt sich dabei um eine Art Beta-Version mit täglichen Updates („Rolling-Releases“), die aktueller als die entsprechende RHEL-Version ist. ![im Businesseinsatz][Business Icon]
* [Debian](https://www.debian.org) - **Debian** ist ein gemeinschaftlich entwickeltes freies Betriebssystem. **Debian GNU/Linux** basiert auf den grundlegenden Systemwerkzeugen des GNU-Projektes sowie dem Linux-Kernel. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [Fedora](https://fedoraproject.org) - **Fedora** ist eine RPM-basierte Linux-Distribution. ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [Red Hat Enterprise Linux](https://www.redhat.com/de/technologies/linux-platforms/enterprise-linux) - **Red Hat Enterprise Linux** (**RHEL**) ist eine populäre Linux-Distribution, die von der Firma Red Hat hergestellt wird und auf den Unternehmensmarkt abgestimmt ist. ![im Businesseinsatz][Business Icon]
* [Rocky Linux](https://rockylinux.org) - **Rocky Linux** ist eine Linux-Distribution, die auf Red Hat Enterprise Linux basiert. ![im Businesseinsatz][Business Icon]
* [SUSE Linux Enterprise Server](https://www.suse.com/de-de/products/server/) - **SUSE Linux Enterprise Server** (**SLES**) ist eine Linux-Distribution von SUSE, die speziell auf Unternehmenskunden ausgelegt ist. ![im Businesseinsatz][Business Icon]
* [Ubuntu](https://ubuntu.com) - **Ubuntu**, auch Ubuntu Linux, ist eine GNU/Linux-Distribution, die auf Debian basiert. ![im Businesseinsatz][Business Icon]

### Microsoft Windows 

* [Windows](https://www.microsoft.com/de-de/windows/windows-11?r=1) - **Windows** ist ein Betriebsystem für eine Workstation oder ein Tablet für Privatanwender oder Unternehmen. ![im Businesseinsatz][Business Icon] ![favorisiert][Favorite Icon]
* [Windows Server](https://www.microsoft.com/de-de/windows-server) - **Windows Server** ist eine Reihe von Windows-Betriebssystemen der NT-Linie speziell für Server. ![im Businesseinsatz][Business Icon] ![favorisiert][Favorite Icon]

### Sonstige Betriebsysteme 

* [macOS](https://www.apple.com/de/macos/) - Das Betriebssystem **macOS**, früher **Mac OS X** und **OS X**, ist das Betriebssystem des kalifornischen Hard- und Software-Unternehmens Apple für Laptop- und Desktop-Computer der Mac-Reihe. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]

## Entwicklung

### Programmiersprachen

* [COBOL]() - **COBOL** ist eine Programmiersprache, die in der Frühzeit der Computerentwicklung, Ende der 1950er-Jahre, entstand und bis heute verwendet wird. ![im Businesseinsatz][Business Icon]
* [Eiffel](https://www.ecma-international.org/publications-and-standards/standards/ecma-367/) - **Eiffel** ist eine universelle, rein objektorientierte Programmiersprache und wurde 1985 von dem französischen Informatiker Bertrand Meyer und seiner Firma Interactive Software Engineering Inc. (Goleta, Kalifornien) als Alternative zu C++ entworfen. ![im Businesseinsatz][Business Icon]
* [Microsoft Visual FoxPro](https://learn.microsoft.com/en-us/previous-versions/visualstudio/foxpro/mt490117(v=msdn.10)?redirectedfrom=MSDN) - **Microsoft Visual FoxPro** (*VFP*) ist eine 2007 abgekündigte RAD-Programmierumgebung von Microsoft für datenzentrierte Anwendungen. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [Perl](https://www.perl.org) - **Perl** ist eine freie, plattformunabhängige und interpretierte Programmiersprache, die mehrere Paradigmen unterstützt. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [Python](https://www.python.org) - **Python** ist eine universell nutzbare, üblicherweise interpretierte, höhere Programmiersprache. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]

### Shellprogrammierung

* [Bash](https://www.gnu.org/software/bash/) - **Bash** (auch **BASH** oder **bash**), die **Bourne-again shell**, ist eine freie Unix-Shell unter GPL. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [Powershell](https://docs.microsoft.com/de-de/powershell/) - **PowerShell** (auch **Windows PowerShell** und **PowerShell Core**) ist ein plattformübergreifendes Framework von Microsoft zur Automatisierung, Konfiguration und Verwaltung von Systemen, das einen Kommandozeileninterpreter inklusive Skriptsprache bietet. ![im Businesseinsatz][Business Icon]
* [Z shell (zsh)](https://www.zsh.org/) - Die **Z shell** (**zsh**) ist eine Unix-Shell, die sowohl als interaktive Login-Shell, als auch als ein mächtiger Kommandozeileninterpreter für Shellskripte verwendet werden kann. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]

### Website-Entwicklung

#### Static site generators (SSGs)

* [Hugo](https://gohugo.io/) - **Hugo** ist eine freie Software zur Erzeugung statischer Websites, der unter der Apache-Lizenz in der Version 2 verfügbar ist. Meine [persönliche Visitenkarte](https://iamstephan.info) ist damit realisiert, welche ich mit dem von mir adaptierten und erweiterten Theme [hugo-goa](https://git.hadan-it.com/stiebke/hugo-goa) ([Demo](https://preview.hadan-it.com/hugo-goa-demo/)) gestaltet habe. ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [iDoc](https://wangchujiang.com/idoc/) - Erzeuge statische Seiten aus allen Markdown-Dateien in einem Ordner. [Mein Techstack](https://techstack.hadan.de)  wurde mit **iDoc** realisiert. ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [MkDocs](https://www.mkdocs.org/) ist ein Generator für statische Websites, der für die Erstellung von Projektdokumentationen entwickelt wurde. Ich verwende hier die Erweiterung [Material for MkDocs](https://squidfunk.github.io/mkdocs-material/) um eine ansprechende Gestaltung der Websites zu gewährleisten und Zusatzfunktionen zu implementieren. Meine [persönliche Website](https://stephan.hadan.de) habe ich damit realisiert. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]

## Tools zum Lesen und Schreiben

Anwendungen zum Bearbeiten von Text, ich bevorzuge Open-Source-Editoren.

### Texteditoren

* [CotEditor](https://coteditor.com/) - Leichtgewichtiger Editor für macOS. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [Notepad++](https://notepad-plus-plus.org/) - **Notepad++** ist ein freier Texteditor für Windows. ![im Businesseinsatz][Business Icon] ![favorisiert][Favorite Icon]
* [Vim](https://www.vim.org/) - **Vim** (Vi IMproved) ist eine Weiterentwicklung des Texteditors vi. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]

### Office-Anwendungen

* [LibreOffice](https://de.libreoffice.org/) - **LibreOffice** (Abkürzungen **LibO** oder **LO**) ist eine freie Zusammenstellung typischer Standardsoftware für Bürotätigkeiten (Office-Paket). Zu LibreOffice gehören Programme für Textverarbeitung (Writer), Tabellenkalkulation (Calc), Präsentation (Impress) und zum Erstellen von Zeichnungen (Draw). Ein Datenbankmanagementsystem (Base) und ein Formeleditor (Math) sind ebenfalls enthalten. ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [Microsoft Office](https://products.office.com/) - **Microsoft Office** ist ein Office-Paket von Microsoft für Windows, macOS, iOS, iPadOS, Android. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]

### Markdown Tools

* [Marp](https://marp.app/) - **Marp** ist ein Ökosystem, mit dem Präsentationen in Markdown geschrieben werden können. ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [reveal.js](https://revealjs.com/) - **reveal.js** ist ein Open-Source-HTML-Präsentations-Framework. Es ermöglicht jedem, der einen Webbrowser hat, schöne Präsentationen kostenlos zu erstellen. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]

### Notizen

* [Joplin](https://joplinapp.org/) - **Joplin** ist eine Open-Source-App für Notizen. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [Microsoft OneNote](https://www.onenote.com/) - **Microsoft OneNote** ist eine Software zum Erstellen und Organisieren von Notizen. ![im Businesseinsatz][Business Icon]

### Tagebuch

* [linked](https://uselinked.com/de/) - Eine einfache, ablenkungsfreie Möglichkeit, Gedanken festzuhalten, den Geist zu entrümpeln und die Dinge zu behalten, an die man sich erinnern möchte. ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]

### E-Books

### RSS 

### Sonstiges

## Virtualisierung

### Containervirtualisierung

* [chroot]() - **chroot** isoliert einen Teil des Dateisystems vom umliegenden Rest, sodass es für einen Prozess so aussieht, als ob der als Argument übergebene Pfad das Wurzelverzeichnis des Dateisystems wäre. Das Verfahren lässt sich jedoch leicht aushebeln, weshalb es nicht als echte Isolierung taugt. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon]
* [Docker](https://www.docker.com/) - **Docker** ist eine Containervirtualisierungsplattform, die viele der vorstehenden Techniken einsetzt und um benutzerfreundliche Werkzeuge und Dienste ergänzt. Dazu gehört beispielsweise eine Beschreibung von Images (Dockerfiles) oder ein Repository, das solche Images verwaltet. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [LXC](https://linuxcontainers.org/) - **LXC** (**L**inu**x** **C**ontainers) ist ein Verfahren zur Containervirtualisierung auf Betriebssystemebene, das mehrere voneinander isoliert laufende Linux-Systeme auf einem einzigen Host ermöglicht. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon]
* [Podman](https://podman.io/) - **Podman** ist ein Container-Manager, der ohne einen Daemon ausgeführt werden kann und auf dem Konzept von Kubernetes Pods aufbaut. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]

### Desktopvirtualisierung

### Orchestration und Cloud Management Lösungen

* [Apache CloudStack](https://cloudstack.apache.org/) - Open-Source-Softwaresystem für die Bereitstellung und Verwaltung großer Netzwerke virtueller Maschinen als hochverfügbare, hochskalierbare Infrastructure-as-a-Service (IaaS)-Cloud-Computing-Plattform. ![im Businesseinsatz][Business Icon] ![favorisiert][Favorite Icon]
* [OpenStack](https://www.openstack.org/) - Cloud-Betriebssystem, das große Pools von Rechen-, Speicher- und Netzwerkressourcen in einem Rechenzentrum steuert, die alle über APIs mit gemeinsamen Authentifizierungsmechanismen verwaltet und bereitgestellt werden. ![im Businesseinsatz][Business Icon]
  * [OpenStack Marketplace](https://www.openstack.org/marketplace/distros/) - Liste verschiedener Openstack-Distros und -Appliances.
* [OpenNebula](https://opennebula.io/) - Open-Source-Cloud-Computing-Plattform zum Aufbau und zur Verwaltung von Unternehmens-Clouds. Sie unterstützt mehrere Virtualisierungstechnologien, z. B. VMware, KVM und auch LXC und Firecracker. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon]
* [Xen Orchestra](https://xen-orchestra.com/) - **Xen Orchestra** (**XO**) ist eine Verwaltungsplattform für XenServer/XCP-ng. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]

### Servervirtualisierung

* [KVM](http://www.linux-kvm.org/) - **Die Kernel-based Virtual Machine** (**KVM**) ist eine Infrastruktur des Linux-Kernels zur Virtualisierung, die auf mit den Hardware-Virtualisierungstechniken von Intel (VT) oder AMD (AMD-V) ausgestatteten x86-Prozessoren sowie auf der System-z-Architektur lauffähig ist. ![im Businesseinsatz][Business Icon]
* [Proxmox VE](https://www.proxmox.com/en/proxmox-virtual-environment/) - **Proxmox VE** (**Proxmox** **V**irtual **E**nvironment; kurz **PVE**) ist eine auf Debian basierende Open-Source-Virtualisierungsplattform zum Betrieb von virtuellen Maschinen mit einem Webinterface zur Einrichtung und Steuerung von x86-Virtualisierungen. Die Umgebung basiert auf QEMU mit der Kernel-based Virtual Machine (KVM). PVE bietet neben dem Betrieb von klassischen virtuellen Maschinen (Gastsystemen), die auch den Einsatz von Virtual Appliances erlauben, auch Linux Containers (LXC) an. ![im Businesseinsatz][Business Icon]
* [XCP-ng](https://xcp-ng.org/) - **XCP-ng** ist eine Linux-Distribution des Xen-Projekts, mit vorkonfiguriertem Xen-Hypervisor und dem Xen-API-Projekt (XAPI), die sofort einsatzbereit sind. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [XenServer](https://www.xenserver.com/) ![im Businesseinsatz][Business Icon]
* [Xen Hypervisor](https://www.xenproject.org/) - **Xen**, auch **Xen Project** (in Abgrenzung zu darauf basierenden kommerziellen Produkten), ist ein Hypervisor, also eine Software, die den Betrieb mehrerer virtueller Maschinen auf einem physischen Computer erlaubt. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]

### Virtualisierungslösungen für Workstations

* [Parallels Desktop](http://www.parallels.com/de/products/desktop/) - **Parallels** Desktop ist eine Virtualisierungssoftware für Mac OS X von Parallels. ![im Businesseinsatz][Business Icon]
* [UTM](https://mac.getutm.app/) - **UTM** nutzt das Hypervisor-Virtualisierungsframework von Apple, um ARM64-Betriebssysteme auf Apple Silicon mit nahezu nativer Geschwindigkeit auszuführen. Auf Intel-Macs kann das x86/x64-Betriebssystem virtualisiert werden. Darüber hinaus ist eine Emulation mit geringerer Leistung verfügbar, um x86/x64 auf Apple Silicon sowie ARM64 auf Intel auszuführen. Für Entwickler und Enthusiasten gibt es außerdem Dutzende anderer emulierter Prozessoren, darunter: ARM32, MIPS, PPC und RISC-V. ![im Businesseinsatz][Business Icon] ![im Heimeinsatz][Home Icon] ![favorisiert][Favorite Icon]
* [VirtualBox](https://www.virtualbox.org/) - **VirtualBox** ist eine Virtualisierungssoftware des US-amerikanischen Unternehmens Oracle, die ursprünglich von der InnoTek Systemberatung GmbH aus Baden-Württemberg entwickelt wurde. ![im Businesseinsatz][Business Icon]

## Lizenz

<p xmlns:cc="http://creativecommons.org/ns#" xmlns:dct="http://purl.org/dc/terms/"><a property="dct:title" rel="cc:attributionURL" href="https://techstack.hadan.de">Mein Techstack</a> von <a rel="cc:attributionURL dct:creator" property="cc:attributionName" href="https://stephan.hadan.de">Stephan Hadan</a> ist lizenziert unter <a href="https://creativecommons.org/licenses/by/4.0/?ref=chooser-v1" target="_blank" rel="license noopener noreferrer" style="display:inline-block;">Creative Commons Attribution 4.0 International<img style="height:22px!important;margin-left:3px;vertical-align:text-bottom;" src="https://mirrors.creativecommons.org/presskit/icons/cc.svg?ref=chooser-v1" alt=""><img style="height:22px!important;margin-left:3px;vertical-align:text-bottom;" src="https://mirrors.creativecommons.org/presskit/icons/by.svg?ref=chooser-v1" alt=""></a></p>

[Business Icon]: https://design.hadan-it.com/common/icon-kit/extras/mini-business.svg "Geschäftseinsatz"
[Home Icon]: https://design.hadan-it.com/common/icon-kit/extras/mini-home.svg "Heimeinsatz"
[Favorite Icon]: https://design.hadan-it.com/common/icon-kit/extras/mini-favorite.svg "Favorisiert"

<!--idoc:config:
title: Mein Techstack -
description: Eine Übersicht über die von mir eingesetzten Tools, Betriebsysteme, Sprachen und Anwendungen - Mein Techstack
-->
